%define	major 2
%define libname	%mklibname sgutils %{major}
%define develname %mklibname sgutils -d

Summary:	Utils for Linux's SCSI generic driver devices + raw devices
Name:		sg3_utils
Version:	1.41
Release:	%mkrel 1
License:	GPL+
Group:		System/Kernel and hardware
URL:		http://sg.danny.cz/sg/sg3_utils.html
Source0:	http://sg.danny.cz/sg/p/%{name}-%{version}.tar.xz
Patch0:		sg3_utils-1.37-dont-open-dev-snapshot.patch
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	%{name} < %version

%description
Collection of tools for SCSI devices that use the Linux SCSI
generic (sg) interface. Includes utilities to copy data based on
"dd" syntax and semantics (called sg_dd, sgp_dd and sgm_dd); check
INQUIRY data and associated pages (sg_inq); check mode and log
pages (sg_modes and sg_logs); spin up and down disks (sg_start);
do self tests (sg_senddiag); and various other functions. See the
README and CHANGELOG files. Requires the lk 2.4 series or better.
[In the lk 2.5 development series many of these utilities can be
used on the primary block device name (e.g. /dev/sda).]

Warning: Some of these tools access the internals of your system
and the incorrect usage of them may render your system inoperable.

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the shared library for %{name}.

%package -n %{develname}
Summary:	Static library and header files for the sgutils library
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libsgutils-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{mklibname sgutils 1 -d} < 1.26

%description -n	%{develname}
This package contains the static sgutils library and its header
files.

%prep
%setup -q
%patch0 -p1 -b .dev-snapshot

%build
%configure2_5x --bindir=%{_sbindir} --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std 

rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog COVERAGE CREDITS README README.sg_start
%attr(0755,root,root) %{_sbindir}/*
%{_mandir}/man8/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/scsi/*.h
%{_libdir}/*.so


%changelog
* Sat Jan 16 2016 bb <bb> 1.41-1pclos2016
- update

* Mon Nov 09 2009 Texstar <texstar at gmail.com> 1.28-1pclos2010
- gcc update
- 1.28

* Mon Nov 10 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 1.26-1pclos2007
- New version 1.26

